QGIS Application - Bug report #7588
wfs client crashes if url is wrong
2013-04-12 05:14 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 16521

Description

what does happen if | make a genuine mistake can | copy/paste the wrong url when creating a wfs connection:

"unexpected character"

then crash

Warning: Object::connect: No such signal QgsVectorLayerCache::finished()

Warning: Object::connect: (receiver name: 'mMainView')

Warning: QLayout: Cannot add null widget to QVBoxLayout/mAttributeEditorLayout

Warning: QMetaObject::connectSlotsByName: No matching signal for on_treeWidget_itemDoubleClicked(QModellndex)

Warning: QMetaObiject::connectSlotsByName: No matching signal for on_treeWidget_currentRowChanged(QModellndex,QModelindex)

Warning: QMetaObject::connectSlotsByName: No matching signal for on_mBuildQueryButton_clicked()

Segmentation fault

I noticed while making a genuine mistake and pasting this url

http://mapas.igeo.pt/igp/wfs _sig.html

instead of one of the wfs services listed on the same page.

Associated revisions

Revision b7c07def - 2013-06-04 03:59 PM - Laurent Defert

Always delete WFS network replies, fixes #7588

Revision 91eaa415 - 2013-06-04 05:40 PM - Marco Hugentobler

Merge pull request #632 from BioEcoForests/master

Always delete WFS network replies, fixes #7588

History

#1 - 2013-05-16 07:08 AM - Giovanni Manghi

it crashes also if it just goes in timeout.
http://mapas.igeo.pt/igp/wfs_sig.html

#2 - 2013-06-04 06:11 AM - Laurent Defert

Hello,

| cannot reproduce the crash, | think it may have been fixed with the patch | submitted for #7913, can you confirm ?

Though, the error messages should be changed imho to make them more user-friendly (the "unexpected character" and "Operation canceled" when a
timeout occurs).

Anyway, here, it's not crashing, but it seems the connection thread is not cleaned properly. Even after closing the wfs client dialog, I'm getting every 20s a
new entry in the network log about the timeout (though no connection attempt is made as | can see with tcpdump). Should | open a new ticket for this issue
or is it ok to continue on this ticket ?

#3 - 2013-06-04 07:53 AM - Laurent Defert

https://github.com/qgis/Quantum-GIS/pull/632

#4 - 2013-06-04 08:40 AM - Marco Hugentobler
- Status changed from Open to Closed

Fixed in changeset commit:"91eaa415c9e0ef314aa24ece5e66788569c48c0b".

#5 - 2013-06-04 12:39 PM - Giovanni Manghi
- Resolution set to fixed

Laurent Defert wrote:

Hello,

I cannot reproduce the crash, | think it may have been fixed with the patch | submitted for #7913, can you confirm ?

correct
